Package net.shibboleth.idp.attribute.resolver

# Interface AttributeResolver

All Superinterfaces:
  `Component`, `IdentifiedComponent`

All Known Implementing Classes:
  `AttributeResolverImpl`

@ThreadSafe public interface AttributeResolver extends IdentifiedComponent
A component that resolves the attributes for a particular subject.

Note WellThis class is about attribute resolution, that is to say the summoning up of attributes in response to the exigies of the provided context. It does not implement net.shibboleth.shared.resolver.Resolver which is about summoning up bits of generic data from the configuration (e.g., metadata) in response to specific net.shibboleth.shared.resolver.Criterion.

## Method Summary

Modifier and Type
Method
Description
`void`
`resolveAttributes(AttributeResolutionContext resolutionContext)`
Resolves the attribute for the give request.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Method Details

### resolveAttributes

void resolveAttributes(@Nonnull AttributeResolutionContext resolutionContext) throws ResolutionException
Resolves the attribute for the give request. Note, if attributes are requested, `AttributeResolutionContext.getRequestedIdPAttributeNames()`, the resolver will not fail if they can not be resolved. This information serves only as a hint to the resolver to, potentially, optimize the resolution of attributes.

Parameters:
  `resolutionContext` - the attribute resolution context that identifies the request subject and accumulates the resolved attributes
Throws:
  `ResolutionException` - thrown if there is a problem resolving the attributes for the subject